help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Can list-packages be set up to show latest github emacs packages?


From: Ted Zlatanov
Subject: Re: Can list-packages be set up to show latest github emacs packages?
Date: Fri, 10 Nov 2017 10:47:29 -0500
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)

On Fri, 10 Nov 2017 08:46:39 -0500 Stefan Monnier <address@hidden> wrote: 

SM> Why should the user care so much about which protocol is used to talk to
SM> the archive?

Recipes and packages are not the same thing fundamentally.

SM> For the foreseeable future, only GNU ELPA will be in the default
SM> archives, so there's no need for a switch, since users would first have
SM> to "manually" add some other archive anyway (and probably install some
SM> third party package to add support for non-ELPA archives on top of
SM> that).

OK, but you're merging:

GNU and non-GNU ELPA package archives
el-get recipe archives
user's own el-get recipes (overriding or new)

Those are not the same thing. For instance, upgrading: do you upgrade
the *recipe definition*, or the *thing it defines* (e.g. a Git branch)?

Ted


reply via email to

[Prev in Thread] Current Thread [Next in Thread]